Skip to content

Post components of an early-bound CRS to create a persistable reference

Request

Post a request containing the components of an early-bound CRS (a projected or geographic CRS bound to a transformation to WGS 84) to create a persistable reference.

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id.

Bodyapplication/jsonrequired
singleCartoTrfAuthorityCodestringrequired

The authority code of the associated cartographic transform

Example:"1612"
singleCartoTrfAuthoritystringrequired

The authority of the associated cartographic transform

Example:"EPSG"
earlyBoundCrsAuthorityCodestringrequired

The early-bound CRS authority code

Example:"23031023"
earlyBoundCrsAuthoritystringrequired

The early-bound CRS authority

Example:"SLB"
lateBoundCrsAuthorityCodestringrequired

The late-bound CRS authority code

Example:"23031"
singleCartoTrfNamestringrequired

The name of the associated cartographic transform

Example:"ED_1950_To_WGS_1984_23"
singleCartoTrfWktstringrequired

The Esri well-known text of the associated cartographic transform

Example:"GEOGTRAN[\"ED_1950_To_WGS_1984_23\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\
lateBoundCrsAuthoritystringrequired

The late-bound CRS authority

Example:"EPSG"
lateBoundCrsNamestringrequired

The late-bound CRS name

Example:"ED_1950_UTM_Zone_31N"
lateBoundCrsWktstringrequired

The late-bound CRS Esri well-known text

Example:"PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Gre
earlyBoundCrsNamestringrequired

The early-bound CRS name

Example:"ED50 * EPSG-Nor N62 2001 / UTM zone 31N [23031,1612]"
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromEarlyBoundCrsAsWktParts \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "singleCartoTrfAuthorityCode": "1612",
    "singleCartoTrfAuthority": "EPSG",
    "earlyBoundCrsAuthorityCode": "23031023",
    "earlyBoundCrsAuthority": "SLB",
    "lateBoundCrsAuthorityCode": "23031",
    "singleCartoTrfName": "ED_1950_To_WGS_1984_23",
    "singleCartoTrfWkt": "GEOGTRAN[\"ED_1950_To_WGS_1984_23\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"Position_Vector\"],PARAMETER[\"X_Axis_Translation\",-116.641],PARAMETER[\"Y_Axis_Translation\",-56.931],PARAMETER[\"Z_Axis_Translation\",-110.559],PARAMETER[\"X_Axis_Rotation\",0.893],PARAMETER[\"Y_Axis_Rotation\",0.921],PARAMETER[\"Z_Axis_Rotation\",-0.917],PARAMETER[\"Scale_Difference\",-3.52],AUTHORITY[\"EPSG\",1612]]",
    "lateBoundCrsAuthority": "EPSG",
    "lateBoundCrsName": "ED_1950_UTM_Zone_31N",
    "lateBoundCrsWkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]",
    "earlyBoundCrsName": "ED50 * EPSG-Nor N62 2001 / UTM zone 31N [23031,1612]"
  }'

Responses

Success: Early-bound CRS to persistable reference conversion successful

Bodyapplication/json
earlyBoundCrsPartsobject(EbCrsContainer)
Example:
{ "singleCartoTrfAuthorityCode": "1612", "singleCartoTrfAuthority": "EPSG", "earlyBoundCrsAuthorityCode": "23031023", "earlyBoundCrsAuthority": "SLB", "lateBoundCrsAuthorityCode": "23031", "singleCartoTrfName": "ED_1950_To_WGS_1984_23", "singleCartoTrfWkt": "GEOGTRAN[\"ED_1950_To_WGS_1984_23\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"Position_Vector\"],PARAMETER[\"X_Axis_Translation\",-116.641],PARAMETER[\"Y_Axis_Translation\",-56.931],PARAMETER[\"Z_Axis_Translation\",-110.559],PARAMETER[\"X_Axis_Rotation\",0.893],PARAMETER[\"Y_Axis_Rotation\",0.921],PARAMETER[\"Z_Axis_Rotation\",-0.917],PARAMETER[\"Scale_Difference\",-3.52],AUTHORITY[\"EPSG\",1612]]", "lateBoundCrsAuthority": "EPSG", "lateBoundCrsName": "ED_1950_UTM_Zone_31N", "lateBoundCrsWkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]", "earlyBoundCrsName": "ED50 * EPSG-Nor N62 2001 / UTM zone 31N [23031,1612]" }
persistableReferencestringrequired

The created persistable reference on success; null on error

Example:"{\"lateBoundCRS\":{\"wkt\":\"PROJCS[\\\"ED_1950_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"Internat
statusInformationstringrequired

Information about the status of the conversion operation; e.g. 'Success' on success

Example:"Success"
Response
{ "earlyBoundCrsParts": { "singleCartoTrfAuthorityCode": "1612", "singleCartoTrfAuthority": "EPSG", "earlyBoundCrsAuthorityCode": "23031023", "earlyBoundCrsAuthority": "SLB", "lateBoundCrsAuthorityCode": "23031", "singleCartoTrfName": "ED_1950_To_WGS_1984_23", "singleCartoTrfWkt": "GEOGTRAN[\"ED_1950_To_WGS_1984_23\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"Position_Vector\"],PARAMETER[\"X_Axis_Translation\",-116.641],PARAMETER[\"Y_Axis_Translation\",-56.931],PARAMETER[\"Z_Axis_Translation\",-110.559],PARAMETER[\"X_Axis_Rotation\",0.893],PARAMETER[\"Y_Axis_Rotation\",0.921],PARAMETER[\"Z_Axis_Rotation\",-0.917],PARAMETER[\"Scale_Difference\",-3.52],AUTHORITY[\"EPSG\",1612]]", "lateBoundCrsAuthority": "EPSG", "lateBoundCrsName": "ED_1950_UTM_Zone_31N", "lateBoundCrsWkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]", "earlyBoundCrsName": "ED50 * EPSG-Nor N62 2001 / UTM zone 31N [23031,1612]" }, "persistableReference": "{\"lateBoundCRS\":{\"wkt\":\"PROJCS[\\\"ED_1950_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",6378388.0,297.0]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Transverse_Mercator\\\"],PARAMETER[\\\"False_Easting\\\",500000.0],PARAMETER[\\\"False_Northing\\\",0.0],PARAMETER[\\\"Central_Meridian\\\",3.0],PARAMETER[\\\"Scale_Factor\\\",0.9996],PARAMETER[\\\"Latitude_Of_Origin\\\",0.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",23031]]\",\"ver\":\"PE_10_3_1\",\"name\":\"ED_1950_UTM_Zone_31N\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"23031\"},\"type\":\"LBC\"},\"singleCT\":{\"wkt\":\"GEOGTRAN[\\\"ED_1950_To_WGS_1984_23\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",6378388.0,297.0]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],METHOD[\\\"Position_Vector\\\"],…" , "statusInformation": "Success" }